using PlugPeaNodes;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;

namespace plugpeaExample
{
    [ExecuteInEditMode]
    public class movment : MonoBehaviour
    {
        public float moveSpeed = 5f;

        private Rigidbody rb;

        private void Awake()
        {
            rb = GetComponent<Rigidbody>();

        }

        private void FixedUpdate()
        {
            // Get horizontal and vertical input
            float horizontalInput = Input.GetAxis("Horizontal");
            float verticalInput = Input.GetAxis("Vertical");

            // Calculate the movement direction
            Vector3 movement = new Vector3(horizontalInput, 0f, verticalInput) * moveSpeed * Time.fixedDeltaTime;

            // Apply movement to the Rigidbody
            rb.MovePosition(rb.position + transform.TransformDirection(movement));

        }
    }
}