using System.Collections.Generic;
using XNode;
using plugpea;
using System;

namespace PlugPeaNodes
{
    [CreateNodeMenu("PlugPea/Power two (Number)", 2)]
    [DontFold]
    public class PowerTwo : BaseNode
    {
        // Start is called before the first frame update
        [Input(ShowBackingValue.Never)] public List<float> a;
    


        [Output(ShowBackingValue.Never)] public List<float> result;

        protected override void Init()
        {
            base.Init();
        }
        public override object GetValue(NodePort port)
        {

            var aa = GetInputValue<List<float>>("a", this.a);
        


          
            List<float> res = new List<float>();
            for (int i = 0; i < aa.Count; i++)
            {
                res.Add((float)Math.Pow((double)aa[i], (double)2));
            }

            return res;
        }
    }
}