using System.Collections;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using UnityEngine;
using XNode;
using plugpea;
namespace PlugPeaNodes
{
    [CreateNodeMenu("PlugPea/Sine", 2)]
    [DontFold]
    public class Sine : BaseNode
    {
        // Start is called before the first frame update
        [Input(ShowBackingValue.Never)] public List<float> x;
        [Output(ShowBackingValue.Never)] public List<float> y;
        protected override void Init()
        {

            base.Init();


        }
        // Update is called once per frame
        public override object GetValue(NodePort port)
        {
            x = GetInputValue<List<float>>("x", this.x);
            List<float> ys = new List<float>();
            for (int i = 0; i < x.Count; i++)
            {
                ys.Add(Mathf.Sin(x[i]));
            }
            return ys;
        }
    }
}