using PlugPeaNodes;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using XNode;
using plugpea;
namespace PlugPeaNodes
{
    [CreateNodeMenu("PlugPea/Join (Mesh)", 5)]
    [DontFold]
    public class JoinMesh : BaseNode
    {
        // Start is called before the first frame update
        [Input(ShowBackingValue.Never)] public List<Mesh> meshes;
        [Output] public List<Mesh> joinedMesh;
        protected override void Init()
        {
            base.Init();
        }

        public override object GetValue(NodePort port)
        {
            var meshes =utils.InsetMultiConnections( GetInputValues<List<Mesh>>("meshes", this.meshes));
            Mesh[] meshArray = new Mesh[meshes.Count];
            for (int i = 0; i < meshes.Count; i++)
            {
                meshArray[i] = meshes[i];
            }
            Mesh meshOut = PMesh.JoinMeshes(meshArray);
            List<Mesh> mm = new List<Mesh>() { meshOut };
            return mm;
        }
    }
}