using PlugPeaNodes;
using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using XNode;
using plugpea;
namespace PlugPeaNodes
{
    [CreateNodeMenu("PlugPea/Flip (Mesh)", 5)]
    [DontFold]
    public class FlipMesh : BaseNode
    {
        // Start is called before the first frame update
        [Input(ShowBackingValue.Never)] public List<Mesh> Mesh;
        [Output(ShowBackingValue.Never)] public List<Mesh> MeshOut;
      
        protected override void Init()
        {
            base.Init();
        }

        public override string GetString()
        {
            return "Draw";
        }

        public override object GetValue(NodePort port)
        {
            List<Mesh>[] Mesh = GetInputValues<List<Mesh>>("Mesh", this.Mesh);

            List<Mesh> allMesh = new List<Mesh>();
            for (int i = 0; i < Mesh.Length; i++)
            {
                if (Mesh[i] != null)
                {
                    for (int j = 0; j < Mesh[i].Count; j++)
                    {
                        allMesh.Add(PMesh.FlipMesh(Mesh[i][j], true));
                    }
                }
            }

            return allMesh;
        }
    }
}