using System.Linq;
using UnityEngine;
using System;
using System.Collections.Generic;
using Unity.VisualScripting;
using UnityEditor;
using System.Text.RegularExpressions;
using PlugPeaNodes;


namespace plugpea
{
    public static class GUIDManager
    {



        [SerializeField]
        public static Dictionary<string, PlugPea> plugpeaDictionaryID = new Dictionary<string, PlugPea>();

        public static string ExtractDigits(string inputString)
        {
            string digitPattern = @"\d+"; // Regular expression pattern to match digits
            MatchCollection matches = Regex.Matches(inputString, digitPattern); // Find all occurrences of digits in the string

            string combinedDigits = "";
            foreach (Match match in matches)
            {
                combinedDigits += match.Value; // Concatenate the found digits
            }

            return combinedDigits.Length >= 10 ? combinedDigits.Substring(0, 10) : combinedDigits; // Return only the first 10 digits or all available digits
        }


    }
}