using System;
using System.Collections;
using System.Collections.Generic;
using UnityEditor;
using UnityEngine;
using static UnityEngine.GraphicsBuffer;
namespace plugpea
{
    public class pointPreviewAndEdit : MonoBehaviour
    {
        public List<Vector3> points = new List<Vector3>();
        [HideInInspector]
        public bool isEnabled = false;
        private void OnDrawGizmos()
        {


            if (points != null && isEnabled)
            {

                for (int i = 0; i < points.Count; i++)
                {

                    Gizmos.DrawWireSphere(points[i], 10f);

                }
            }
        }

    }
    [CustomEditor(typeof(pointPreviewAndEdit))]
    public class pointPreviewAndEditEditor : Editor
    {

        private void OnSceneGUI()
        {




            pointPreviewAndEdit node = (pointPreviewAndEdit)target;


            if (node.points != null)
            {
                var points = node.points;
                for (int i = 0; i < points.Count; i++)
                {

                    points[i] = Handles.PositionHandle(points[i], Quaternion.identity);
                    Handles.color = Color.red;
                    if (Event.current.type == EventType.Repaint)
                    {
                        Handles.SphereHandleCap(0, points[i], Quaternion.identity, 12f, EventType.Repaint);
                    }
    ;
                }
            }

        }
    }
}